# stringpiece.h File Reference

C++ API: StringPiece: Read-only byte string wrapper class. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/std_string.h"`

Go to the source code of this file.

## Data Structures
class | StringPiece
| A string-like object that points to a sized piece of memory. More...
## Functions
U_EXPORT UBool | operator== (const StringPiece &x, const StringPiece &y)
| Global operator == for StringPiece.
UBool | operator!= (const StringPiece &x, const StringPiece &y)
| Global operator != for StringPiece.

## Detailed Description

C++ API: StringPiece: Read-only byte string wrapper class.

Definition in file stringpiece.h.

## Function Documentation

UBool operator!= | ( | const StringPiece & | x,
|  | const StringPiece & | y |
| ) |  |  | `[inline]`

Global operator != for StringPiece.

Parameters:

  | x | The first StringPiece to compare.
  | y | The second StringPiece to compare.

Returns:
  TRUE if the string data is not equal

Internal:
  Do not use. This API is for internal use only.

Definition at line 218 of file stringpiece.h.

U_EXPORT UBool operator== | ( | const StringPiece & | x,
|  | const StringPiece & | y |
| ) |  |  |

Global operator == for StringPiece.

Parameters:

  | x | The first StringPiece to compare.
  | y | The second StringPiece to compare.

Returns:
  TRUE if the string data is equal

Internal:
  Do not use. This API is for internal use only.

Referenced by TimeZone::operator!=(), RegexPattern::operator!=(), PluralRules::operator!=(), FieldPositionIterator::operator!=(), Format::operator!=(), Formattable::operator!=(), DateFormatSymbols::operator!=(), DecimalFormatSymbols::operator!=(), Calendar::operator!=(), and BreakIterator::operator!=().

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines